filter.traj {pomp} | R Documentation

## Filtering trajectories

### Description

Trajectories drawn from the smoothing distribution

### Usage

    ## S4 method for signature 'pfilterd_pomp'
    filter.traj(object, vars, ...)

    ## S4 method for signature 'pfilterList'
    filter.traj(object, vars, ...)

    ## S4 method for signature 'pmcmcd_pomp'
    filter.traj(object, vars, ...)

    ## S4 method for signature 'pmcmcList'
    filter.traj(object, vars, ...)

### Arguments

`object` | result of a filtering computation
`vars` | optional character; names of variables
`...` | ignored

### Details

The smoothing distribution is the distribution of

Xt | Y1=y1*, …, YT=yT*,

where Xt is the latent state process, Yt is the observable process, t is time, and T is the time of the final observation.

In a particle filter, the trajectories of the individual particles are not independent of one another, since they share ancestry. However, a randomly sampled particle trajectory X_1,…,X_T is a draw from the smoothing distribution. Seting `filter.traj = TRUE` in `pfilter` causes one such trajectory to be sampled. By running multiple independent `pfilter` operations, one can thus build up a picture of the smoothing distribution.

In particle MCMC (`pmcmc`), this operation is performed at each MCMC iteration. Assuming the MCMC chain has converged, and after proper measures are taken to assure approximate independence of samples, `filter.traj` allows one to extract a sample from the smoothing distribution.

### See Also

Other particle filter methods: `bsmc2`, `cond.logLik`, `eff.sample.size`, `filter.mean`, `mif2`, `pfilter`, `pmcmc`, `pred.mean`, `pred.var`

[Package pomp version 2.3 Index]